
.logo-box a {
    font-weight: bold;
    font-size: 30px;
    color: #333 !important;
}

.user-pic {
    border: 2px solid #f7f7fc;
}

code {
    background: #f7f7fc;
    font-size: 15px;
    padding: 2px 5px;
    border-radius: 3px;
}

.link-editar {
    display: block;
    font-size: 11px;
    letter-spacing: 1px;
    font-weight: bold;
}

.icon-ajuda {
    margin-left: 5px;
    padding-right: 7px;
}

.icon-ajuda i {
    color: #4392CB;
    cursor: pointer;
}

#apis_gr ul {
    padding: 0;
    margin: 0;
}

#apis_gr li {
    list-style: none;
    display: block;
    margin: 5px 0;
    padding: 0;
}

/*.chave-api-gr-links a {*/
/*    font-size: 13px;*/
/*    letter-spacing: 1px;*/
/*    font-weight: bold;*/
/*    margin-left: 5px;*/
/*}*/

#wrapper {
    overflow: auto !important;
}

.campo_editar_user {
    display: inline-block;
    width: 330px;
    width: 0 auto;
    text-align: center;
}
.loading-tab {
    display: block;
    text-align: center;
}
.opt-principal {
    display: inline-block;
    width: 17px;
    height: 17px;
    border: 2px solid #aaaafd;
    vertical-align: -3px;
    border-radius: 50%;
    cursor: pointer;
    transition: .27s ease;
    position: relative;
}

.opt-principal:hover {
    background: #f7f7fc;
}

.opt-principal:active, .opt-principal.opt-active {
    border-color: #4654AB;
    background: #4654AB;
}

.opt-principal.opt-active:after {
    content: '';
    width: 2px;
    height: 5px;
    background: white;
    position: absolute;
    top: 5px;
    left: 3px;
    transform: rotate(-40deg);
}

.opt-principal.opt-active:before {
    content: '';
    width: 2px;
    height: 8px;
    background: white;
    position: absolute;
    top: 2px;
    left: 7px;
    transform: rotate(40deg);
}

.carregando_alteracoes {
    opacity: 0.5;
    user-select: none;
    pointer-events: none;
}
.contador_input {
    display: block;
    text-align: right;
    font-size: 11px;
    font-weight: 500;
}

.ms-container {
    background: transparent url(../images/multiple-arrow.png) no-repeat 50% 50% !important;
    width: auto;
    max-width: 370px;
}

.select2-container .select2-selection--multiple .select2-selection__choice {
    background: #5897FB;
    color: #fff !important;
    border-color: #5897FB;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: white !important;
}

.holder_html_mensagem {
    max-width: 768px;
    width: 100%;
    margin: 20px auto 0;
    height: 400px;
    overflow: auto;
    border-radius: 10px;
    box-shadow: 0 3px 10px rgba(0,0,0,0.1);
    border: 2px solid #f1f1f1;
}

#limpar_msg {
    color: red !important;
    font-size: 11px;
    font-weight: 600;
    letter-spacing: 1px;
    margin-left: 5px;
    cursor: pointer;
    vertical-align: 1px;
}
.feito-com {
    font-size: 13px;
    font-weight: 500 !important;
}

.feito-com span {
    display: inline-block;
    animation: coracao 1s infinite !important;
}

.feito-com a {
    color: #6c757d !important;
}

@keyframes coracao {
    0%, 100% {
        transform: scale(0.8);
    }
    80% {
        transform: scale(0.9);
    }
}

#carregando_html {
    padding: 30px;
    text-align: center;
    font-weight: 600;
    font-size: 11px;
}

.ms-container {
    width: 100% !important;
    max-width: 100% !important;
    background-image: url('../../assets/images/multiple-arrow.png') !important;
}

textarea#resposta {
    width: 100%;
    height: 220px !important;
    outline: none !important;
    border: 1px solid #aaa;
    padding-top: 20px;
    font-family: 'Courier New';
}

#holder_resposta {
    position: relative;
}

#holder_resposta:before {
    content: 'console';
    position: absolute;
    top: 21px;
    left: 1px;
    background: #f7f7f7;
    display: block;
    padding: 2px 7px;
    font-weight: bold;
    font-size: 11px;
    text-transform: uppercase;
}

#sucesso_redir, #carregando_campanha {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    background: rgba(255,255,255,0.8);
}

.content_sucesso_redir, .content_carregando_campanha {
    text-align: center;
}

.custom-select:disabled {
    color: #000 !important;
}

#apis_gr ul {
    padding-top: 10px !important;
}

#apis_gr ul li {
    position: relative;
}

#apis_gr ul li:first-of-type:before {
    content: 'API Principal';
    position: absolute;
    top: -20px;
    font-size: 9px;
    font-weight: 700;
    text-transform: uppercase;
    width: 46px;
    text-align: center;
    left: -14px;
    line-height: 1;
    letter-spacing: -0.5px;
}

.link-editar {
    background: var(--purple) !important;
    display: inline-block;
    margin: 0 auto;
    color: white !important;
    padding: 8px 10px !important;
    border-radius: 20px;
}

.acoes_usuario {
    margin-top: -10px !important;
}

.custom-header {
    background: #f1f1f1;
    padding: 2px 10px;
    text-align: center;
    margin-bottom: 2px;
    border-radius: 4px;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 1px;
    font-size: 11px;
}

.link-editar {
    font-size: 13px !important;
    font-weight: 400 !important;
    letter-spacing: 0 !important;
}

.urls_para {
    margin-top: 30px;
}

#links_mensagem {
}

/*#links_mensagem:before {*/
/*    content: 'URLs Parametrizaveis';*/
/*    font-weight: 500;*/
/*    color: #323a46;*/
/*}*/

#links_mensagem li {
    margin-top: 10px;
    list-style: none;
    display: block;
}

#links_mensagem li span {
    display: inline-block;
    padding: 7px 12px !important;
    background: #eaeaea;
    margin-right: 30px;
    position: relative;
    border-radius: 3px;
}

/*#links_mensagem li span:after {*/
/*    content: 'тиа';*/
/*    position: absolute;*/
/*    right: -20px;*/
/*    font-weight: bold;*/
/*}*/

#links_mensagem li input {
    display: inline-block !important;
    width: auto !important;
}

#links_mensagem li {
    display: flex !important;
}

#links_mensagem li span {
    width: 40% !important;
    word-break: break-all !important;
}

#links_mensagem li input {
    width: 60% !important;
}

.search-input {
    width: 100% !important;
    display: block;
    width: 100%;
    height: calc(1.5em + .9rem + 2px);
    padding: .45rem .9rem;
    font-size: .9rem;
    font-weight: 400;
    line-height: 1.5;
    color: #6c757d;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .2rem;
    outline: none !important;
    box-shadow: none !important;
}

#apis_gr li {
    display: flex;
}

#apis_gr li .coluna-1 {
    width: 6% !important;
}

#apis_gr li .coluna-2 {
    width: 14%;
}

#apis_gr li .coluna-3 {
    width: 40%;
}

#apis_gr li .coluna-4 {
    width: 27%;
}

#apis_gr li .coluna-5 {
    width: 15%;
}

#apis_gr li.li-head {
    font-weight: bold;
    margin-top: -5px;
}

#apis_gr ul li:first-of-type:before {
    top: 0 !important;
}

#apis_gr li {
    border-bottom: 1px solid #f1f1f1;
}
.grupo_tech, .edit_grupo_tech {
    display: flex;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid #ddd;
}

.grupo_tech:last-of-type, .edit_grupo_tech:last-of-type {
    padding-bottom: 0 !important;
    border: none !important;
}

.grupo_tech .input_nome, .edit_grupo_tech .edit_input_nome {
    width: 48%;
    padding-right: 11px !important;
}

.grupo_tech .input_tech, .edit_grupo_tech .edit_input_tech {
    width: 48% !important;
    padding-left: 11px !important;
}

.grupo_tech .input_del, .edit_grupo_tech .edit_input_del {
    width: 4%;
    padding-right: 11px;
    position: relative;
    min-height: 60px;
}

.grupo_tech .input_del .del_grupo, .edit_grupo_tech .edit_input_del .edit_del_grupo {
    width: calc(100% - 11px);
    height: 20px;
    background: red;
    position: absolute;
    top: 50%;
    transform: translatey(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    color: white !important;
    font-size: 17px;
    border-radius: 50%;
    cursor: pointer;
}

.grupo_tech .input_del .not_del_group, .edit_grupo_tech .edit_input_del .edit_not_del_group {
    width: calc(100% - 11px);
    height: 20px;
    background: #f1f1f1;
    position: absolute;
    top: 50%;
    transform: translatey(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    color: white !important;
    font-size: 17px;
    border-radius: 50%;
    cursor: not-allowed;
}

.controller_technames, .edit_controller_technames {
    width: 100%;
    height: 100px;
}

.feito-com span {
    display: inline-block;
    animation: coracao 1s infinite;
}

@keyframes coracao {
    0%, 100% {
    transform: scale(0.9);
    }
    80% {
        transform: scale(1);
    }
}

.page-title-box h4 {
    text-transform: none !important;
}

.valim-holder_loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 999999;
    background: rgba(255,255,255,0.6);
    text-align: center;
}

.valim-holder_loading .valim-loading_content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.valim-holder_loading .valim-loading_content .valim-loading_spinner {
    display: block;
    width: 30px;
    height: 30px;
    border: 4px solid var(--bs-blue);
    margin-bottom: 10px;
    border-radius: 50%;
    border-right-color: transparent !important;
    animation: valim_rotate infinite linear 2s;
}

.valim-holder_loading .valim-loading_content .valim-loading_title {
    font-size: 19px;
    font-weight: 500;
    color: #252525;
}

@keyframes valim_rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.input_erro {
    border-color: red !important;
}

.editable-error-block {
    font-size: 12px !important;
    margin-top: -1px !important;
    margin-bottom: -10px !important;
}

.card-body pre {
    border: 1px solid #eaeaea;
    padding: 5px !important;
}

#sucesso_redir, #carregando_campanha {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    background: rgba(255,255,255,0.8);
}

.content_sucesso_redir, .content_carregando_campanha {
    text-align: center;
}

.switch-sms label {
    margin: -3px 5px -5px 0 !important;
}

@media (max-width: 600px){
    .col-login-form {
        height: 100vh !important;
        display: flex;
        align-items: center;
        min-width: 100% !important;
    }
    .content-login {
        width: 100% !important;
    }
    .col-login-bg {
        display: none !important;
    }
}

.holder_mensagem {
    height: 100px;
    overflow: hidden;
    overflow-y: auto !important;
}

.holder_mensagem p {
    margin: 0 !important;
}

.holder_mensagem::-webkit-scrollbar-track
{
	background-color: #eaeaea;
	border-radius: 10px !important;
}

.holder_mensagem::-webkit-scrollbar
{
	width: 5px;
	background-color: #F5F5F5;
	border-radius: 10px !important;
}

.holder_mensagem::-webkit-scrollbar-thumb
{
	background-color: #aaa;
	border-radius: 10px !important;
}

.card-body pre {
    max-height: 400px !important;
}

#sidebar-menu ul li ul.sub-menu li a:before {
    content: '';
    display: inline-block;
    width: 10px;
}

#sidebar-menu ul li:hover {
    background: #f9f9f9;
}

thead th:not(.daterangepicker thead th) {
    background: #3b5de7 !important;
    color: white !important;
    font-weight: bold !important;
}

.dataTable td, .dataTable th {
    border: none !important;
}

.table>tbody>tr:nth-of-type(odd) {
    --bs-table-accent-bg: var(--bs-table-striped-bg);
    color: var(--bs-table-striped-color);
}

.table>tbody>tr:nth-of-type(odd) :is(td, th) {
    border-bottom: 1px solid rgba(0,0,0,0.05) !important;
    border-top: 1px solid rgba(0,0,0,0.05) !important;
}

tbody .btn {
    margin: -5px 0 !important;
}

.daterangepicker .calendar-table th, .daterangepicker .calendar-table td {
    color: #333 !important;
    padding: 3px !important;
}

.daterangepicker td.active, .daterangepicker td.active:hover {
    color: white !important;
    font-weight: bold !important;
}

.daterangepicker.show-calendar .ranges:before {
    content: 'Períodos:';
    font-weight: bold;
    padding: 0 10px 6px;
    font-size: 13px !important;
    margin-bottom: 5px !important;
    display: block !important;
    border-bottom: 1px solid #eaeaea;
}

.placeholder_load.loading {
    background: rgba(0,0,0,0.07);
    display: inline-block;
    color: transparent;
    user-select: none;
    pointer-events: none;
    border-radius: 5px;
    animation: placeholder_load 1s infinite;
}

.placeholder_load {
    transition: .27s ease !important;
}

@keyframes placeholder_load {
    0%, 100% {
        opacity: 1;
    }
    60% {
        opacity: 0.5;
    }
}

.card-header {
    background: #eaeafc !important;
    min-height: 45px;
}

.card-header {
    background: #f9f9fc !important;
    border-bottom: 1px solid #eaeafc !important;
}

.card-title {
    font-weight: 600;
}

.card {
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0,0,0,0.03);
}

.input-calendario {
    position: relative;
}

.input-calendario i {
    position: absolute;
    font-size: 20px;
    right: 10px;
    top: 50%;
    transform: translatey(-50%);
    pointer-events: none;
}

.menu-title {
    background: #f9f9fc;
    border-bottom: 1px solid #eaeafc;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    color: #333 !important;
}

.user-wid {
    background: #f9f9fc;
}

#sidebar-menu ul li ul.sub-menu li a:after {
    content: '';
    background: #3b5de7;
    height: 2px;
    width: 0px;
    position: absolute;
    top: 15px;
    left: 50px;
    transition: .27s ease;
}

#sidebar-menu ul li ul.sub-menu li a:hover:after, #sidebar-menu ul li ul.sub-menu li.mm-active a:after {
    width: 8px;
}

#sidebar-menu ul li ul.sub-menu li a {
    position: relative;
}

body[data-layout="detached"]:after {
    content: '';
    display: block;
    position: absolute !important;
    width: 60px;
    height: 60px;
    right: 0;
    bottom: 0;
    background: #ECF0F4;
}

.li-head {
    background: #3B5DE7;
    padding: 10px 0 !important;
    border-radius: 4px;
    color: white !important;
}

#apis_gr li .coluna-1 {
    text-align: center;
    padding-right: 5px;
}

#apis_gr ul li:first-of-type:before {
    top: 10px !important;
    left: 3px;
}

#apis_gr ul li:nth-child(odd):not(.li-head) {
    background: #f9f9f9;
}

#apis_gr ul li {
    margin: 0 !important;
    padding: 8px 0 2px 0;
}

.btn-inactive-light * {
    outline: none !important;
    box-shadow: none !important;
}

.btn-inactive-light .btn-primary:not(.btn-check:checked+.btn-primary) {
    background: #f1f1fc !important;
    border-color: #dadafc;
    color: #333 !important;
}

.timeline-item {
    position: relative;
}

.timeline-item:before {
    content: '';
    position: absolute;
    top: 0;
    left: 20px;
    width: 1px;
    height: 100%;
    background: rgba(0,0,0,0.15);
}

.timeline-item .icone-tl {
    position: absolute;
    top: 50%;
    transform: translatey(-50%);
}

.timeline-item .icone-tl i {
    width: 40px;
    height: 40px;
    background: white;
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    border-radius: 50%;
    font-size: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.timeline-item .texto-tl {
    padding: 15px 0 15px 50px;
}

.timeline-item .texto-tl h6 {
    margin: 0 !important;
}

.timeline-item .texto-tl p {
    margin: 0 !important;
}

.timeline-item.sucesso .icone-tl i {
    background: #45CB85;
    color: white !important;
}

.timeline-item.erro .icone-tl i {
    background: #FF715B;
    color: white !important;
}

@media (max-width: 768px){
    .holder-tabela {
        overflow-x: auto !important;
    }
    .text-sm-center {
        text-align: center !important;
    }
    .text-sm-center .btn {
        margin: 5px !important;
    }
    .center-mobile *, .center-mobile {
        text-align: center !important;
    }
    .card {
        position: relative;
        z-index: 3;
    }
}

@media (max-width: 600px){
    .nav-tabs-custom.nav-justified .nav-item {
        min-width: 50% !important;
        width: 50% !important;
    }
    #apis_gr {
        overflow-x: auto;
    }
    #apis_gr ul {
        width: 1200px;
    }
}

@media (max-width: 991.98px){
    body[data-layout=detached] .page-content {
        padding: calc(70px + 0px) 10px 60px 10px;
    }
}

.card-header-nav .nav-tabs-custom .nav-item .nav-link {
    padding-top: 17px !important;
    padding-bottom: 17px !important;
}

.card-header-nav {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    padding-left: 0 !important;
}

@media (min-width: 700px){
    .dataTables_length, .dataTables_filter {
        float: left;
        width: 50% !important;
    }
    .holder-tabela {
        clear: both;
    }
}

#apis_gr li .coluna-1 {
    width: 6% !important;
    position: relative;
}

#apis_gr ul li:first-of-type:before {
    display: none;
}

#apis_gr li.li-head .coluna-1:before {
    content: 'API Principal';
    position: absolute;
    top: 50%;
    font-size: 9px;
    font-weight: 700;
    text-transform: uppercase;
    width: 46px;
    text-align: center;
    left: 50%;
    line-height: 1;
    letter-spacing: -0.5px;
    transform: translate(-50%, -50%);
}

table.dataTable>thead>tr>th:not(.sorting_disabled), table.dataTable>thead>tr>td:not(.sorting_disabled) {
    padding-right: inherit !important;
    padding-left: 30px !important;
}

table.dataTable>thead .sorting:before, table.dataTable>thead .sorting_asc:before, table.dataTable>thead .sorting_desc:before, table.dataTable>thead .sorting_asc_disabled:before, table.dataTable>thead .sorting_desc_disabled:before {
    right: unset !important;
    left: 0.5em;
}

table.dataTable>thead .sorting:after, table.dataTable>thead .sorting_asc:after, table.dataTable>thead .sorting_desc:after, table.dataTable>thead .sorting_asc_disabled:after, table.dataTable>thead .sorting_desc_disabled:after {
    right: unset !important;
    left: 1em;
}

.tooltip-inner {
    max-width: 1000px !important; //define whatever width you want
}

.titulo_campanha_tabela {
    display: block;
    max-width: 500px !important;
    overflow: hidden;
    position: relative;
}